<?php

namespace app\common\model;

use support\think\Model;

class AdminWalletRecord extends Model
{
    protected $name = 'admin_wallet_record';

    protected $autoWriteTimestamp = false;

    protected $createTime = 'create_time';

    protected $updateTime = false;

    protected $type = [
        'create_time' => 'integer',
        'amount' => 'string',
        'balance_before' => 'string',
        'balance_after' => 'string',
    ];

    public function admin(): \think\model\relation\BelongsTo
    {
        return $this->belongsTo(\app\admin\model\Admin::class, 'admin_id', 'id');
    }

    public function channel(): \think\model\relation\BelongsTo
    {
        return $this->belongsTo(Channel::class, 'channel_id', 'id');
    }

    public function operatorAdmin(): \think\model\relation\BelongsTo
    {
        return $this->belongsTo(\app\admin\model\Admin::class, 'operator_admin_id', 'id');
    }
}

